Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 210287 - Review Request: Qt# - A set of qt bindings for mono
Summary: Review Request: Qt# - A set of qt bindings for mono
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mamoru TASAKA
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2006-10-11 11:27 UTC by Paul F. Johnson
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-01-18 22:30:03 UTC


Attachments (Terms of Use)

Description Paul F. Johnson 2006-10-11 11:27:35 UTC
Spec URL: www.knox.net.nz/~nodoid/qtsharp.spec
SRPM URL: www.knox.net.nz/~nodoid/qtsharp-0.7.1-1.src.rpm
Description: 

Qt# is a set of qt bindings for mono

Comment 1 Rex Dieter 2006-10-12 04:07:43 UTC
"The requested URL /~nodoid/qtsharp.spec was not found on this server."

Comment 3 Mamoru TASAKA 2006-11-21 19:39:51 UTC
Well, actually I don't know about C sharp program,
however, as this package is not reviewed by anyone
for more than one month and it is a pity that this
package is not imported despite you seem familiar with
C sharp programming, so I will try.

Then:
1. http://fedoraproject.org/wiki/Packaging/Guidelines :

* Use rpmlint
  - rpmlint is not silent.
----------------------------------------------
E: qtsharp zero-length /usr/share/doc/qtsharp-0.7.1/ChangeLog
W: qtsharp rpm-buildroot-usage %build qmake "CSC=mcs"
INSTALLDIR=%{buildroot}/%{_libdir}
W: qtsharp-devel no-documentation
----------------------------------------------
  - Remove ChangeLog.
  - I don't think that giving the argument which includes
    %{buildroot} during %build stage is correct.
  - The last one can be ignorable, I think.

* Requires:
  - Requires: qt mono-core
    These are unnecessary as libraries' dependency automatically
    pulls them.

* Compiler flags
  - For compilation of C sharp code, I don't know. Howver,
-------------------------------------------------
make[2]: Entering directory `/builddir/build/BUILD/qtsharp/src/libqtsharp'
g++ -c -pipe -Wall -W -g -D_REENTRANT -fPIC  -DQT_THREAD_SUPPORT -DQT_SHARED
-DQT_NO_DEBUG -I/usr/lib/qt-3.3/mkspecs/de
fault -I. -I. -I.. -I/usr/lib/qt-3.3/include -o customslot.o customslot.cpp
g++ -c -pipe -Wall -W -g -D_REENTRANT -fPIC  -DQT_THREAD_SUPPORT -DQT_SHARED
-DQT_NO_DEBUG -I/usr/lib/qt-3.3/mkspecs/de
fault -I. -I. -I.. -I/usr/lib/qt-3.3/include -o qtsharp.o qtsharp.cpp
-------------------------------------------------
    This is incorrect because fedora specific compilation flags
    is not used.

* Parallel make
  - Does this package fail on parallel make?

2. From http://fedoraproject.org/wiki/Packaging/ReviewGuidelines :
   (seems okay).

3. Other files I have noticed.
* -devel package:
   devel package contains only a symlink to shared object, without
   any header files. I don't think this devel package is useful
   as so application can use this package because there is no way
   to know the prototype used in the shared library.

Comment 4 Mamoru TASAKA 2006-11-30 06:28:56 UTC
ping?

Comment 5 Paul F. Johnson 2006-12-01 01:15:53 UTC
Sorry for the delay...

1. The warnings from rpmlint (with the exception of the error) can be ignored
   Not sure about the buildroot one - I'll look at it
   Requires. Not a problem - I can wipe them. I'll check on the compilation
flags,  but from this end, it seems okay (it's not using make, but qmake, so
normal rules don't apply!). As for the parallel make, I need to comment it.

3. I'll need to check. The devel should be a real .so file

http://nodoid.homelinux.org/fedora/qtsharp-0.7.1-2.src.rpm
http://nodoid.homelinux.org/fedora/qtsharp.spec

Contains most of the fixes needed

Comment 6 Mamoru TASAKA 2006-12-01 08:14:32 UTC
Well, I have not checked 0.7.1-2 in detail, however,
A. For compilation flags of libqtsharp.so
  (as I noted in comment #3):

(In reply to comment #5)
> 1.  I'll check on the compilation
> flags,  but from this end, it seems okay (it's not using make, but qmake, so
> normal rules don't apply!).
For libqtsharp.so, qmake is only used against libqtsharp.pro to create
normal Makefile and then libqtsharp.so is created from normal C++
program(s), so passing fedora-specific compilation flags is necessary.

For this, it seems that you have to modify libqtsharp/libqtsharp.pro .
I don't know about the rules of qmake and pro files, however, when
I removed 'debug' from 'CONFIG +=' line (line 3), it seems to
pass fedora flags(, however I don't know if I am doing the right way).

B. for libqtsharp.so itself:
    libqtsharp.so contains undefined non-weak symbol:
---------------------------------------------
[tasaka1@localhost i386]$ ldd -r /usr/lib/libqtsharp.so.0.0.0 > /dev/null
undefined symbol: qt_QObject_registerEventDelegate     
(/usr/lib/libqtsharp.so.0.0.0)
---------------------------------------------
  and I cannot find where qt_QObject_registerEventDelegate is defined...

Comment 7 Mamoru TASAKA 2006-12-22 07:00:52 UTC
ping?

Comment 8 Mamoru TASAKA 2007-01-03 08:59:03 UTC
Again ping?

Comment 9 Paul F. Johnson 2007-01-03 23:27:45 UTC
Sorry, I'll have some time to look at it on Friday

Comment 10 Mamoru TASAKA 2007-01-18 18:04:06 UTC
ping again...

Comment 11 Paul F. Johnson 2007-01-18 22:30:03 UTC
Looks like there are problems with this package ...

http://lists.kde.org/?l=kde-bindings&m=109368643306526&w=2

qtc has long since gone and the only version I can find won't even come close to
compiling. I'm going to abandon this package and close the bug.


Note You need to log in before you can comment on or make changes to this bug.